BSFProvider (Axis API)
Keywords: org.apache.axis.providers.BSFProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.providers
Class BSFProvider

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.providers.BasicProvider
              org.apache.axis.providers.BSFProvider

All Implemented Interfaces:
  Handler, java.io.Serializable

public class BSFProvider
extends BasicProvider

See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`
`static java.lang.String` | `OPTION_LANGUAGE`
`static java.lang.String` | `OPTION_SCRIPT`
`static java.lang.String` | `OPTION_SRC`

Fields inherited from class org.apache.axis.providers.BasicProvider
`entLog, OPTION_EXTRACLASSES, OPTION_WSDL_INPUTSCHEMA, OPTION_WSDL_PORTTYPE, OPTION_WSDL_SERVICEELEMENT, OPTION_WSDL_SERVICEPORT, OPTION_WSDL_SOAPACTION_MODE, OPTION_WSDL_TARGETNAMESPACE`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`BSFProvider()`

Method Summary
`void` | `initServiceDesc(SOAPService service, MessageContext msgContext)` This method returns a ServiceDesc that contains the correct implimentation class.
`void` | `invoke(MessageContext msgContext)` Invoke is called to do the actual work of the Handler object.

Methods inherited from class org.apache.axis.providers.BasicProvider
`addOperation, generateWSDL, getOperationName, getOperationNames, getOperationQNames`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### OPTION_LANGUAGE

    public static final java.lang.String OPTION_LANGUAGE

See Also:
  Constant Field Values

### OPTION_SRC

    public static final java.lang.String OPTION_SRC

See Also:
  Constant Field Values

### OPTION_SCRIPT

    public static final java.lang.String OPTION_SCRIPT

See Also:
  Constant Field Values

Constructor Detail

### BSFProvider

    public BSFProvider()

Method Detail

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  Description copied from interface: `Handler`
  Invoke is called to do the actual work of the Handler object. If there is a fault during the processing of this method it is invoke's job to catch the exception and undo any partial work that has been completed. Once we leave 'invoke' if a fault is thrown, this classes 'onFault' method will be called. Invoke should rethrow any exceptions it catches, wrapped in an AxisFault.

  Parameters:
    `msgContext` - the `MessageContext` to process with this `Handler`.
  Throws:
    `AxisFault` - if the handler encounters an error

### initServiceDesc

    public void initServiceDesc(SOAPService service,
                                MessageContext msgContext)
                         throws AxisFault

  Description copied from class: `BasicProvider`
  This method returns a ServiceDesc that contains the correct implimentation class.

  Specified by:
    `initServiceDesc` in class `BasicProvider`
  Throws:
    `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.